## cups-filters 1.0.18

=== cupsfilters/Makefile ===
#
# "$Id$"
#
#   Library makefile for OpenPrinting CUPS Filters.
#
#   Copyright 2007-2011 by Apple Inc.
#   Copyright 1997-2006 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Apple Inc. and are protected by Federal copyright
#   law.  Distribution and use rights are outlined in the file "LICENSE.txt"
#   which should have been included with this file.  If this file is
#   file is missing or damaged, see the license at "http://www.cups.org/".
#
#   This file is subject to the Apple OS-Developed Software exception.
#

include ../Makedefs


LIBTARGETS =	\
		$(LIBCUPSFILTERS) \
		libcupsfilters.a

UNITTARGETS =	\
		testcmyk \
		testdither \
		testimage \
		testrgb

TARGETS	=	\
		$(LIBTARGETS) \
		$(UNITTARGETS)

LIBOBJS =	\
		attr.o \
		check.o \
		cmyk.o \
		dither.o \
		image.o \
		image-bmp.o \
		image-colorspace.o \
		image-gif.o \
		image-jpeg.o \
		image-photocd.o \
		image-pix.o \
		image-png.o \
		image-pnm.o \
		image-sgi.o \
		image-sgilib.o \
		image-sun.o \
		image-tiff.o \
		image-zoom.o \
		lut.o \
		pack.o \
		rgb.o \
		srgb.o

OBJS	=	\
		$(LIBOBJS) \
		testcmyk.o \
		testdither.o \
		testimage.o \
		testrgb.o

HEADERS	=	\
		driver.h \
		image.h


#
# Make all targets...
#

all:	$(TARGETS)


#
# Clean all object files...
#

clean:
	$(RM) $(OBJS) $(TARGETS)
	$(RM) libcupsfilters.so libcupsfilters.dylib
	$(RM) -rf cupsfilters/test


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) >/dev/null 2>&1


#
# Install all targets...
#

install:	all install-data install-headers install-libs install-exec


#
# Install data files...
#

install-data:


#
# Install programs...
#

install-exec:


#
# Install headers...
#

install-headers:
	echo Installing header files into $(INCLUDEDIR)/cupsfilters...
	$(INSTALL_DIR) -m 755 $(INCLUDEDIR)/cupsfilters
	for file in $(HEADERS); do \
		$(INSTALL_DATA) $$file $(INCLUDEDIR)/cupsfilters; \
	done


#
# Install libraries...
#

install-libs:
	echo Installing libraries in $(LIBDIR)...
	$(INSTALL_DIR) -m 755 $(LIBDIR)
	$(INSTALL_LIB) $(LIBCUPSFILTERS) $(LIBDIR)
	$(INSTALL_DATA) libcupsfilters.a $(LIBDIR)
	if test $(LIBCUPSFILTERS) = "libcupsfilters.so.1" -o $(LIBCUPSFILTERS) = "libcupsfilters.sl.1"; then \
		$(RM) $(LIBDIR)/`basename $(LIBCUPSFILTERS) .1`; \
		$(LN) $(LIBCUPSFILTERS) $(LIBDIR)/`basename $(LIBCUPSFILTERS) .1`; \
	fi
	if test $(LIBCUPSFILTERS) = "libcupsfilters.1.dylib"; then \
		$(RM) $(LIBDIR)/libcups.dylib; \
		$(LN) $(LIBCUPSFILTERS) $(LIBDIR)/libcups.dylib; \
	fi


#
# Uninstall all targets...
#

uninstall:
	$(RM) $(LIBDIR)/libcupsfilters.dylib
	$(RM) $(LIBDIR)/libcupsfilters.1.dylib
	$(RM) $(LIBDIR)/libcupsfilters.so
	$(RM) $(LIBDIR)/libcupsfilters.so.1
	$(RM) $(LIBDIR)/libcupsfilters.sl
	$(RM) $(LIBDIR)/libcupsfilters.sl.1
	$(RM) $(LIBDIR)/libcupsfilters.a
	-$(RMDIR) $(LIBDIR)
	for file in $(HEADERS); do \
		$(RM) $(INCLUDEDIR)/cupsfilters/$$file; \
	done
	-$(RMDIR) $(INCLUDEDIR)/cupsfilters
	-$(RMDIR) $(INCLUDEDIR)


#
# libcupsfilters.so.1, libcupsfilters.sl.1
#

libcupsfilters.so.1:	$(LIBOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ $(LIBOBJS) $(DSOLIBS) $(LINKCUPS) -lm
	$(RM) `basename $@ .1`
	$(LN) $@ `basename $@ .1`


#
# libcupsfilters.1.dylib
#

libcupsfilters.1.dylib:	$(LIBOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.0.0 \
		-compatibility_version 1.0.0 \
		$(LIBOBJS) $(DSOLIBS) $(LINKCUPS) -lm
	$(RM) libcupsfilters.dylib
	$(LN) $@ libcupsfilters.dylib


#
# libcupsfilters.la
#

libcupsfilters.la:       $(LIBOBJS)
	echo Linking $@...
	$(DSO) $(ARCHFLAGS) $(DSOFLAGS) -o $@ $(LIBOBJS:.o=.lo) $(DSOLIBS) \
		-rpath $(LIBDIR) -version-info 1:0


#
# libcupsfilters.a
#

libcupsfilters.a:	$(LIBOBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(LIBOBJS)
	$(RANLIB) $@


#
# test: Make a common test subdirectory for the other test programs.
#

test:
	if test ! -d test; then \
		rm -rf test; \
		mkdir test; \
	fi


#
# testcmyk: Test cmyk separation functions.
#

testcmyk:	test testcmyk.o libcupsfilters.a
	echo Linking $@...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o $@ testcmyk.o libcupsfilters.a \
		$(LIBS) -lm
	echo Running CMYK API tests...
	./testcmyk > test/testcmyk.log


#
# testdither: Test dithering functions.
#

testdither:	test testdither.o libcupsfilters.a
	echo Linking $@...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o $@ testdither.o  libcupsfilters.a \
		$(LIBS) -lm
	echo Running dither API tests...
	./testdither > test/0-255.pgm 2>test/0-255.log
	./testdither 0 127 255 > test/0-127-255.pgm 2>test/0-127-255.log
	./testdither 0 85 170 255 > test/0-85-170-255.pgm 2>test/0-85-170-255.log
	./testdither 0 63 127 170 198 227 255 > test/0-63-127-170-198-227-255.pgm 2>test/0-63-127-170-198-227-255.log
	./testdither 0 210 383 > test/0-210-383.pgm 2>test/0-210-383.log
	./testdither 0 82 255 > test/0-82-255.pgm 2>test/0-82-255.log
	./testdither 0 510 > test/0-510.pgm 2>test/0-510.log
	./testdither 0 1020 > test/0-1020.pgm 2>test/0-1020.log


#
# testimage: Test image loading functions.
#

testimage:	testimage.o libcupsfilters.a ../Makedefs
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ testimage.o libcupsfilters.a \
		$(IMGLIBS) $(DSOLIBS) $(LIBS) -lm

#
# testrgb, test RGB separation functions.
#

testrgb:	test testrgb.o libcupsfilters.a
	echo Linking $@...
	$(CC) $(ARCHFLAGS) $(LDFLAGS) -o $@ testrgb.o  libcupsfilters.a \
		$(LIBS) -lm
	echo Running RGB API tests...
	./testrgb > test/testrgb.log 2>&1 || echo "RGB tests failed!"


#
# Include dependencies...
#

include Dependencies


#
# End of "$Id$".
#

=== pdftoopvp/Makefile ===
#
# "$Id: Makefile 6649 2007-07-11 21:46:42Z till $"
#
#   pdftopdf filter Makefile for the Common UNIX Printing System (CUPS).
#

include ../Makedefs

#
# Object files...
#

LIBOBJS	=	\
		OPVPOutputDev.o

OBJS	=	pdftoopvp.o $(LIBOBJS)

TARGETS	=	pdftoopvp


#
# Make everything...
#

all:	$(TARGETS)


#
# Blank targets to satisfy the main Makefile of CUPS ...
#

libs:
apihelp:
framedhelp:


#
# Clean all object files...
#

clean:
	$(MAKE) -C oprs $@
	$(RM) $(OBJS)
	$(RM) pdftoopvp


#
# Update dependencies (without system header dependencies...)
#

depend:
	makedepend -Y -I. -I.. -Ioprs -Iopvp -fDependencies $(OBJS:.o=.cxx) >/dev/null 2>&1


#
# Install the filter...
#

install:	install-data install-headers install-libs install-exec

install-data:	all
	echo Installing configuration files to $(sysconfdir)/fonts/conf.d...
	$(INSTALL_DIR) -m 755 $(BUILDROOT)$(sysconfdir)/fonts/conf.d
	$(INSTALL_DATA) -m 644 99pdftoopvp.conf $(BUILDROOT)$(sysconfdir)/fonts/conf.d

install-exec:	all
	echo Installing filters to $(SERVERBIN)/filter...
	$(INSTALL_DIR) -m 755 $(SERVERBIN)/filter
	$(INSTALL_BIN) pdftoopvp $(SERVERBIN)/filter

install-headers:

install-libs:

#
# Uninstall the filter...
#

uninstall:
	$(RM) $(SERVERBIN)/filter/pdftoopvp
	-$(RMDIR) $(SERVERBIN)/filter
	-$(RMDIR) $(SERVERBIN)
	$(RM) $(BUILDROOT)$(sysconfdir)/fonts/conf.d/99pdftoopvp.conf
	-$(RMDIR) $(BUILDROOT)$(sysconfdir)/fonts/conf.d
	-$(RMDIR) $(BUILDROOT)$(sysconfdir)/fonts


#
# pdftoopvp
#

oprs/liboprs.a:
	\$(MAKE) -C oprs

pdftoopvp:	pdftoopvp.o $(LIBOBJS) oprs/liboprs.a
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o $@ pdftoopvp.o $(LIBOBJS) oprs/liboprs.a $(POPPLER_LIBS) $(FREETYPE_LIBS) $(FONTCONFIG_LIBS) $(CXXLIBS) -lpng -ldl


#
# Dependencies...
#

include Dependencies

#
# Make unit tests...
#

unittests:

#
# End of "$Id: Makefile 6649 2007-07-11 21:46:42Z till $".
#

=== debian/changelog ===
cups-filters (1.0.18-0ubuntu0.1) precise-proposed; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     - pdftops: Allow selection whether Ghostscript or Poppler is used
       at runtime, setting the "pdftops-renderer" option to "gs" or
       "pdftops". This way one can switch to Poppler per-queue if there
       are incompatibilities with certain PostScript printers.
     - pdftops: Allow setting an upper limit for the image rendering
       resolution, also at runtime, setting the option
       "pdftops-max-image-resolution-default" to the desired limit in dpi.
       "0" means no limit.
     - pdftops: Fixed crash by wrong usage of sizeof() function when adding
       "Collate" to the fifth command line argument for the "pstops" CUPS
       filter call (LP: #982675).
     - pdftops: Removed newline from copies value when reading it from
       the "%%PDFTOPDFNumCopies" entry of the incoming PDF file.
     - pdftops: Silenced compiler warning about ignoring the return
       value of the write() function.
     - pdftops: Added a crash guard.
     - pdftops: Start determining the printing resolution with
       cupsRasterInterpretPPD(), this is the most reliable as often
       the choice names of the "Resolution" option are marketing names
       with higher numerical values than the actual resolution. Also
       ignore error exit values of cupsRasterInterpretPPD() as the
       function can error out after having found the resolution
       (LP: #984082).
     - pdftops: If printing resolution is determined by
       cupsRasterInterpretPPD() do not stick on 100 dpi if the
       resolution cannot be determined (LP: #984082).
  * debian/rules: Set default renderer for the pdftops filter to Poppler
    due to many printer's buggy interpreters having problems with GhostScript's
    PostScript and set image rendering resolution limit of the pdftops filter
    to 360 dpi to prevents slow processing by the printer if very high
    resolutions are used or if the printing resolution is mis-detected by the
    pdftops filter (LP: #668800, LP #951627 (comment #30), LP: #998087,
    LP: #992982 (comments #26, #27, #30, #31), LP: #997728, LP: #994477,
    LP: #998087, LP: #978120, LP: #862167).

  [ Didier Raboud ]
  * Drop libtiff5-dev, just use libtiff-dev, this fixes the FTBFS due to
    incompatibility with cups.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 16 May 2012 11:25:03 +0200

=== debian/control ===
Source: cups-filters
Standards-Version: 3.9.3
Priority: optional
Section: net
Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
Uploaders: 
 Till Kamppeter <till.kamppeter@gmail.com>,
 Martin Pitt <mpitt@debian.org>,
 Didier Raboud <odyx@debian.org>
Build-Depends: 
 autoconf,
 autotools-dev,
 cdbs (>= 0.4.93~),
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1~),
 pkg-config,
 sharutils,
 ghostscript (>= 9.02~),
 poppler-utils,
 liblcms2-dev,
 libpoppler-private-dev (>= 0.16.0),
 libjpeg-dev,
 libpng-dev | libpng12-dev,
 libtiff-dev,
 libcups2-dev,
 libcupsimage2-dev (>= 1.5.2-6~),
 libijs-dev,
 zlib1g-dev,
 libfontconfig1-dev
Homepage: http://www.openprinting.org/
Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups-filters/debian-trunk/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups-filters/debian-trunk/

Package: libcupsfilters1
Priority: optional
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, 
 ${misc:Depends}
Multi-Arch: same
Description: OpenPrinting CUPS Filters - Shared library
 This library contains functions commonly used by the CUPS filters
 in the OpenPrinting CUPS filters package, currently functions to read
 several different image formats and to convert bitmaps between different
 color spaces.

Package: cups-filters
Priority: optional
Section: net
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends},
 ghostscript (>= 9.02~),
 ttf-freefont | fonts-liberation | ttf-dejavu
Recommends: colord, 
 foomatic-filters (>= 4.0), 
 ghostscript-cups (>= 9.02~)
Suggests: foomatic-db-compressed-ppds | foomatic-db
Replaces: cups (<< 1.5.0-16), 
 cups-common (<< 1.5.0-16),
 ghostscript-cups (<< 9.02~)
Breaks: cups (<< 1.5.0-16), 
 cups-common (<< 1.5.0-16),
 ghostscript-cups (<< 9.02~)
Description: OpenPrinting CUPS Filters
 This package provides additional CUPS filters which are not provided
 by the CUPS project itself. This includes filters for a PDF based
 printing workflow.

Package: libcupsfilters-dev
Priority: optional
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libcupsfilters1 (= ${binary:Version})
Description: OpenPrinting CUPS Filters - Development files for the library
 Header files to develop applications (CUPS filters, printer drivers) using
 libcupsfilters.

#Package: cups-filters-dbg
#Priority: extra
#Section: debug
#Architecture: any
#Depends: ${shlibs:Depends},
#  ${misc:Depends},
#  cups-filters (= ${binary:Version}) | libcupsfilters1 (= ${binary:Version})
#Description: OpenPrinting CUPS Filters - Debugging symbols
# This package provides the debugging symbols for OpenPrinting
# CUPS Filters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk
LDFLAGS += -Wl,--as-needed

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static --enable-debug --with-pdftops-renderer=pdftops --with-pdftops-maxres=360

DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt

#DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DPKG_GENSYMBOLS_CHECK_LEVEL=4
export DPKG_GENSYMBOLS_CHECK_LEVEL

cleanbuilddir::
	[ ! -f Makedefs ] || make distclean

binary-post-install/cups-filters::
	# Ubuntu-specific stuff
	#  - Install Apport hook
	#  - Replace standard test page template by Ubuntu-branded one
	if dpkg-vendor --is ubuntu; then \
	   install -D -m 644 debian/local/apport-hook.py debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/source_cups-filters.py; \
	   install -D -m 644 debian/local/default-testpage.pdf debian/$(cdbs_curpkg)/usr/share/cups/data/default-testpage.pdf; \
	fi

	# Make the serial backend run as root, since /dev/ttyS* are
	# root:dialout and thus not accessible as user lp
	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend/serial

=== debian/watch ===
version=3
http://www.openprinting.org/download/cups-filters/cups-filters-(.*)\.tar\.gz \
	debian uupdate --no-symlink

## cups-filters 1.0.24

=== debian/changelog ===
cups-filters (1.0.24-2) experimental; urgency=low

  * debian/patches/texttopdf-fix-deficient-string-escaping.patch: Fixed
    unsufficient string escaping in texttopdf (Upstream bug #1071).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 25 Sep 2012 06:15:07 +0200

cups-filters (1.0.24-1) experimental; urgency=low

  * New upstream release
     - pdftopdf now generates the necessary pdf comments to disable
       duplicate number-up when pdftops is also applied (Upstream bug #1063).
     - pdftops: Added support for using Adobe Reader (acroread) in command
       line mode for turning PDF to PostScript (Upstream bug #1065).
     - pdftops: Fix stripping of page management options from the pstops
       command line which got already applied by pdftopdf. If the name
       of the option to be removed is contained in the name of a option
       in the command line (like "number-up" in "number-up-layout" or
       "scaling" in "Natural-scaling"), this option gets stripped instead
       of the correct option (Upstream bug #1064).
     - Removed filter/pdftopdf.old
     - Fixed the requires.private for cupsfilters lib
  * debian/control: Versioned build dependency on libqpdf-dev.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 07 Sep 2012 15:32:43 +0200

cups-filters (1.0.22-1) experimental; urgency=low

  * New upstream release
     - pdftopdf filter replaced by new QPDF-based filter from Tobias
       Hoffmann's Google Summer of Code project. The former Poppler-based
       pdftopdf duplicated a lot of Poppler's code. The old filter is
       still in the package as pdftopdf.old with source code in
       filter/pdftopdf.old. It will be removed in a later release.
     - bannertopdf: Page duplication routine fixed.
     - bannertopdf: Fixed invalid output of a direct stream object.
     - Added most recent contributors to AUTHORS and COPYING files.
  * debian/control: Added build dependency on libqpdf-dev.
  * debian/copyright: Updated for the addition of the new pdftopdf filter.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 20 Aug 2012 14:53:42 +0200

cups-filters (1.0.20-1) experimental; urgency=low

  * New upstream release
     - pdftops: Added another workaround for Kyocera printers: Some
       models get very slow on images which request interpolation,
       so now we remove the image interpolation requests by additional
       PostScript code only inserted for Kyocera printers (LP: #1026974).
     - Made the Poppler-based filters pdftopdf and pdftoopvp build with
       both Poppler 0.18.x and 0.20.x (Upstream bug #1055).
     - Fixes according to Coverity scan results (Upstream bug #1054).
     - Switched build system to autotools. This especially fixes several
       build problems in Gentoo. Also build-tested with CUPS 1.6.0b1.
     - Fixes for compatibility with clang/gcc-4.7.
     - textonly: Filter did not work as a pipe with copies=1 (Upstream bug
       #1032).
     - texttopdf: Avoid trimming the results of FcFontSort(), as this may
       miss some reasonable candidates under certain circumstances. BTW,
       fix passing a non-pointer as a pointer to "result" (Closes: #670055).
     - Corrected documentation. The option for the maximum image rendering
       resolution in pdftops is "pdftops-max-image-resolution", not
       "pdftops-max-image-resolution-default".
  * debian/patches/fcfontsort-no-trim.patch: Removed, fixed upstream.
  * debian/rules: Updated options for ./configure and make for the new autotools
    build system.
  * debian/watch: Switched to bz2 upstream packages.
  * debian/rules, debian/copyright, debian/cups-filters.docs: Updated for
    renamed documentation files.
  * debian/control, debian/libfontembed1.install,
    debian/libfontembed-dev.install: Added new binary packages for libfontembed.
  * debian/copyright: Updated for recent file additions, and rearrangement of
    directories.
  * debian/control: Added missing build dependency on libpoppler-cpp-dev.
  * debian/copyright: Corrections (Closes: #682752).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 28 Jul 2012 11:54:32 +0200

cups-filters (1.0.18-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add patch to avoid trimming the results of FcFontSort(), as this may
    miss some reasonable candidates under certain circumstances. BTW,
    fix passing a non-pointer as a pointer to "result". (Closes: #670055)

 -- Didier Raboud <odyx@debian.org>  Fri, 18 May 2012 15:01:54 +0200

cups-filters (1.0.18-1) unstable; urgency=low

  * New upstream release
     - pdftops: Allow selection whether Ghostscript or Poppler is used
       at runtime, setting the "pdftops-renderer" option to "gs" or
       "pdftops". This way one can switch to Poppler per-queue if there
       are incompatibilities with certain PostScript printers.
     - pdftops: Allow setting an upper limit for the image rendering
       resolution, also at runtime, setting the option
       "pdftops-max-image-resolution-default" to the desired limit in dpi.
       "0" means no limit. Default limit is 1440 dpi. This prevents slow
       processing by the printer if very high resolutions are used or
       if the printing resolution is mis-detected by the pdftops filter.
     - pdftops: Fixed crash by wrong usage of sizeof() function when adding
       "Collate" to the fifth command line argument for the "pstops" CUPS
       filter call (LP: #982675).
     - pdftops: Removed newline from copies value when reading it from
       the "%%PDFTOPDFNumCopies" entry of the incoming PDF file.
     - pdftops: Silenced compiler warning about ignoring the return
       value of the write() function.
     - pdftops: Added a crash guard.
     - pdftops: Start determining the printing resolution with
       cupsRasterInterpretPPD(), this is the most reliable as often
       the choice names of the "Resolution" option are marketing names
       with higher numerical values than the actual resolution. Also


=== debian/control ===
--- 
+++ 
@@ -19,6 +19,8 @@
  poppler-utils,
  liblcms2-dev,
  libpoppler-private-dev (>= 0.16.0),
+ libpoppler-cpp-dev,
+ libqpdf-dev (>= 3.0.2),
  libjpeg-dev,
  libpng-dev | libpng12-dev,
  libtiff-dev,
@@ -44,6 +46,18 @@
  in the OpenPrinting CUPS filters package, currently functions to read
  several different image formats and to convert bitmaps between different
  color spaces.
+
+Package: libfontembed1
+Priority: optional
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, 
+ ${misc:Depends}
+Multi-Arch: same
+Description: OpenPrinting CUPS Filters - Font Embed Shared library
+ This library contains functions for font embedding in PDF files, commonly
+ used by CUPS filters.
 
 Package: cups-filters
 Priority: optional
@@ -79,6 +93,16 @@
  Header files to develop applications (CUPS filters, printer drivers) using
  libcupsfilters.
 
+Package: libfontembed-dev
+Priority: optional
+Section: libdevel
+Architecture: any
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libfontembed1 (= ${binary:Version})
+Description: OpenPrinting CUPS Filters - Development files for font embed library
+ Header files to develop applications using libfontembed.
+
 #Package: cups-filters-dbg
 #Priority: extra
 #Section: debug

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --with-optim=$(DEB_OPTFLAGS) --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static --enable-debug --with-pdftops-renderer=pdftops --with-pdftops-maxres=360
+DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static
 
-DEB_MAKE_INSTALL_TARGET := install BUILDROOT=$(DEB_DESTDIR)
-DEB_INSTALL_CHANGELOGS_ALL := CHANGES.txt
+DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
+DEB_INSTALL_CHANGELOGS_ALL := NEWS
 
 #DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp

## cups-filters 1.0.28

=== debian/changelog ===
cups-filters (1.0.28-0ubuntu2) raring; urgency=low

  * debian/local/cups-browsed.upstart: Only start cups-browsed if avahi-daemon
    is started.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 14 Jan 2013 16:02:16 -0500

cups-filters (1.0.28-0ubuntu1) raring; urgency=low

  * New upstream release
     - cups-browsed: Added daemon to browse the Bonjour broadcasts of
       shared remote CUPS printers and automatically add local raw queues
       pointing to them, to resemble the behavior of the former CUPS
       broadcasting/browsing which was dropped in CUPS 1.6. Now remote
       printers appear as local print queues as before, but with the
       standardized Bonjour broadcasting (LP: #1086019, LP: #1061063,
       LP: #1061069).
  * debian/control: Added build dependencies on Avahi, needed for the new
    cups-browsed and also a new binary package named cups-browsed.
  * debian/cups-browsed.install: New cups-browsed binary package.
  * debian/local/cups-browsed.upstart: Upstart configuration file for
    cups-browsed.
  * debian/rules: Added everything needed so that the cups-browsed daemon gets
    started automatically.
  * debian/cups-filters.install: Include files from /usr/bin.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 29 Dec 2012 14:30:07 +0100

cups-filters (1.0.25-1) experimental; urgency=low

  * New upstream release
     - urftopdf: Newly added filter to convert the URF format which (at
       least some) iOS apps send when printing via AirPrint (Upstream bug
       #1076).
     - pdftopdf: pdfautorotate functionality has been patched directly
       into pdftopdf (LP: #1040037, Upstream bug #1080).
     - pdftopdf: "mirror" produced only empty pages (XObjects not there).
     - pdftopdf: Fixed segfault on "page-ranges=1-2147483647" (from cups).
     - pdftopdf: Fixed collate filler insertion.
     - texttopdf: Fixed deficient string escaping (Upstream bug #1071).
     - serial backend: Added check for sys/ioctl.h to configure.ac (Upstream bug
       #1069).
  * debian/patches/texttopdf-fix-deficient-string-escaping.patch: Removed
    fix backported from upstream.
  * debian/rules: Added "DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend" to not
    correct the permissions of CUPS backends (LP: #1076786).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Nov 2012 20:14:07 +0100

cups-filters (1.0.24-3) experimental; urgency=low

  * Add bc to cups-filters' depends as pstopdf uses it.

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Oct 2012 11:03:30 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,9 @@
  libcupsimage2-dev (>= 1.5.2-6~),
  libijs-dev,
  zlib1g-dev,
- libfontconfig1-dev
+ libfontconfig1-dev,
+ libavahi-common-dev,
+ libavahi-client-dev
 Homepage: http://www.openprinting.org/
 Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups-filters/debian-trunk/
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups-filters/debian-trunk/
@@ -65,6 +67,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, 
  ${misc:Depends},
+ bc,
  ghostscript (>= 9.02~),
  ttf-freefont | fonts-liberation | ttf-dejavu
 Recommends: colord, 
@@ -103,6 +106,20 @@
 Description: OpenPrinting CUPS Filters - Development files for font embed library
  Header files to develop applications using libfontembed.
 
+Package: cups-browsed
+Priority: optional
+Section: net
+Architecture: any
+Depends: ${shlibs:Depends}, 
+ ${misc:Depends},
+ cups
+Description: OpenPrinting CUPS Filters - cups-browsed
+ This package provides cups-browsed, a daemon which browses the Bonjour
+ broadcasts of shared remote CUPS printers and makes the printers
+ available locally, replacing the CUPS broadcasting/browsing which was
+ dropped in CUPS 1.6.x. This way the old behavior of having the remote
+ printers available automatically is now re-implemented with Bonjour.
+
 #Package: cups-filters-dbg
 #Priority: extra
 #Section: debug

=== debian/rules ===
--- 
+++ 
@@ -17,17 +17,35 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static
+# Do not install /etc/rc?.d/* links, on Ubuntu we use Upstart and on Debian
+# we create the links on our own
+# DEB_CONFIGURE_EXTRA_FLAGS += --with-rcdir=/etc/init.d --with-rclevels=
 
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
 DEB_INSTALL_CHANGELOGS_ALL := NEWS
 
 #DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
+DEB_DH_FIXPERMS_ARGS := -Xusr/lib/cups/backend
 DPKG_GENSYMBOLS_CHECK_LEVEL=4
 export DPKG_GENSYMBOLS_CHECK_LEVEL
 
+ifeq ($(shell dpkg-vendor --query vendor), Ubuntu)
+DEB_DH_INSTALLINIT_ARGS := --upstart-only
+else
+DEB_DH_INSTALLINIT_ARGS := -u'start 50 2 3 4 5 . stop 80 1 .'
+endif
+
 cleanbuilddir::
-	[ ! -f Makedefs ] || make distclean
+	[ ! -r Makefile ] || make distclean
+	rm -f debian/*.upstart # master copy is in debian/local
+
+common-install-prehook-impl::
+	# Use upstart script on Ubuntu; we need to hide it away for Debian
+	# builds, as dh_installinit does not have a --sysvinit-only
+	if dpkg-vendor --is ubuntu; then \
+	    cp debian/local/*.upstart debian; \
+	fi
 
 binary-post-install/cups-filters::
 	# Ubuntu-specific stuff
@@ -40,4 +58,4 @@
 
 	# Make the serial backend run as root, since /dev/ttyS* are
 	# root:dialout and thus not accessible as user lp
-	chmod go-x debian/$(cdbs_curpkg)/usr/lib/cups/backend/serial
+	chmod 700 debian/$(cdbs_curpkg)/usr/lib/cups/backend/serial

## cups-filters 1.0.34

=== debian/changelog ===
cups-filters (1.0.34-0ubuntu1.1) raring-proposed; urgency=low

  * debian/local/cups-browsed.upstart: Give up starting cups-browsed after
    3 failed attempts in 4 minutes. This avoids infinite respawning when
    avahi-daemon is not running (LP: #1098756).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 30 Apr 2013 16:05:06 +0200

cups-filters (1.0.34-0ubuntu1) raring; urgency=low

  * New upstream bug fix release
     - pdftopdf: Fixed duplex printing logic. Before when printing
       duplex jobs with multiple copies and a odd number of pages,
       the first page of the second copy got onto the back side of
       the last page of the first copy, rendering printing more than
       one copy unusable.
     - cups-browsed: If a queue left over from the last session
       gets confirmed, fill in the data structure with the Bonjour
       parameters, also update the Bonjour parameters if a local
       queue is upgraded from IPP to IPPS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Apr 2013 19:53:06 +0200

cups-filters (1.0.33-0ubuntu1) raring; urgency=low

  * New upstream bug fix release
     - cups-browsed: Added NULL check (Upstream bug #1106).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 04 Apr 2013 17:33:06 +0200

cups-filters (1.0.32-1) experimental; urgency=low

  * New upstream bug fix release
     - cups-browsed: Shared algorithm to generate local queues based on
       browsed remote queue data between Bonjour and CUPS browsing, as the
       simpler method used for CUPS browsing could overwrite local print
       queues and had de-duplication problems, for example if the server
       appears on two IPs in the network (connected by both ethernet and
       WLAN).
     - cups-browsed: CUPS broadcasting also broadcasted non-shared,
       especially cups-browsed-generated printers. Switched to detection
       of non-shared printers by the appropriate bit in the printer-type
       bit field IPP attribute.
     - cups-browsed: Made CUPS broadcasting work also without BrowseAllow
       lines in cups-browsed.conf. In this case we accept all remote
       printers (LP: #1163764).
     - README: Updated documentation for cups-browsed.
     - Added more comments and examples to /etc/cups/cups-browsed.conf.
     - cups-browsed: Added support for "...:<port>" extensions of
       BrowsePoll addresses. Thanks to Tim Waugh from Red Hat
       (LP: #1159213).

  [ Till Kamppeter ]
  * Let cups-browsed overtake browsing-related directives from
    /etc/cups/cupsd.conf into /etc/cups/cups-browsed.conf. Comment out
    directives which introduce CUPS broadcasting/browsing so that users
    use this deprecated method only if absolutely necessary. Add
    comments to tell the user about how to use the added lines.
    (LP: #1159213)

  [ Didier Raboud ]
  * Use the new fonts-freefont-ttf package name
  * Add simple cups-browsed init script (Closes: #700929)

 -- Didier Raboud <odyx@debian.org>  Thu, 04 Apr 2013 13:51:25 +0200

cups-filters (1.0.31-1) experimental; urgency=low

  * New upstream release
     - cups-browsed: cups-browsed removed valid local queues pointing to
       remote queues when cups-browsed did not shut down cleanly after
       the previous session, leaving the user with missing local accessor
       queues for some of the remote CUPS queues (LP: #1131149).
     - pdftopdf: Improved error output.
     - pdftopdf: getRotation now handles unusual cases more graceful
       (LP: #1154318).
     - cups-browsed: Do not remove a generated local print queue when
       it was made the system default printer (LP: #1146407).
     - texttopdf: Fixed corrupted pdf when a utf-8 title is given and
       corresponding crash with 'prettyprint' (LP: #1137438).
     - cups-browsed: Added CUPS Broadcasting for sharing local printers
       to remote CUPS clients with CUPS 1.5.x and older. Thanks to Tim
       Waugh from Red Hat.
     - cups-browsed: Added sample config-file and build-time default
       setting options. Thanks to Tim Waugh from Red Hat.
     - cups-browsed: Added CUPS browsing and BrowsePoll functionality, to
       be backwards compatible to CUPS 1.5.x and older servers. Thanks
       to Tim Waugh from Red Hat.
     - pdftopdf: Fixed incorrect evenDuplex page insertion (Upstream bug #1088).
     - pdftoopvp: Let it build with Poppler 0.22.x. Thanks to Koji Otani
       from BBR Inc. (Upstream bug #1089).

  [ Stéphane Graber ]
  * In upstart, only start cups-browsed if avahi-daemon is started.

  [ Till Kamppeter ]
  * Added build dependency on libavahi-glib-dev.
  * Build-depend on libqpdf-dev >= 4.0.1, to make printing filled PDF forms
    work via pdftopdf.
  * Install /etc/cups/cups-browsed.conf.
  * Set default "BrowseRemoteProtocols dnssd" in /etc/cups/cups-browsed.conf.

  [ Didier Raboud ]
  * Reduce Priority/Section redundancy in debian/control
  * Fix minor debian/copyright caveats
  * Make the libcupsfilters-dev description more verbose.
  * Don't double-install NEWS as doc and changelog
  * Make the libfontembed-dev description more verbose.
  * Move under the Debian Printing Team umbrella.
  * Add initial libfontembed1 symbols file.

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Apr 2013 10:09:28 +0200

cups-filters (1.0.28-1) experimental; urgency=low

  * New upstream release
     - cups-browsed: Added daemon to browse the Bonjour broadcasts of
       shared remote CUPS printers and automatically add local raw queues
       pointing to them, to resemble the behavior of the former CUPS
       broadcasting/browsing which was dropped in CUPS 1.6. Now remote
       printers appear as local print queues as before, but with the
       standardized Bonjour broadcasting (LP: #1086019, LP: #1061063,
       LP: #1061069).
  * debian/control: Added build dependencies on Avahi, needed for the new
    cups-browsed and also a new binary package named cups-browsed.
  * debian/cups-browsed.install: New cups-browsed binary package.


=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,14 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static
+DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static --with-browseremoteprotocols=dnssd
 # Do not install /etc/rc?.d/* links, on Ubuntu we use Upstart and on Debian
 # we create the links on our own
 # DEB_CONFIGURE_EXTRA_FLAGS += --with-rcdir=/etc/init.d --with-rclevels=
 
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)
 DEB_INSTALL_CHANGELOGS_ALL := NEWS
+DEB_INSTALL_DOCS_ALL := README AUTHORS
 
 #DEB_DH_STRIP_ARGS := --dbg-package=cups-filters-dbg
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp

=== debian/watch ===
version=3
http://www.openprinting.org/download/cups-filters/cups-filters-(.*)\.tar\.bz2 \
	debian uupdate --no-symlink

## cups-filters 1.0.40

=== debian/changelog ===
cups-filters (1.0.40-0ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution via overflows in urftopdf
    - debian/patches/CVE-2013-647x.patch: check sizes in
      filter/urftopdf.cpp.
    - CVE-2013-6473
  * SECURITY UPDATE: arbitrary code execution via overflows in pdftoopvp
    - debian/patches/CVE-2013-647x.patch: use gmallocn and gmallocn3 in
      filter/pdftoopvp/{oprs/OPVPSplash.cxx,OPVPOutputDev.cxx}.
    - CVE-2013-6474
    - CVE-2013-6475
  * SECURITY UPDATE: arbitrary code execution via driver in pdftoopvp
    - debian/patches/CVE-2013-647x.patch: restrict driver path in
      filter/pdftoopvp/oprs/OPVPWrapper.cxx.
    - CVE-2013-6476

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 11 Mar 2014 10:52:15 -0400

cups-filters (1.0.40-0ubuntu1) saucy; urgency=low

  * New upstream bug fix release 1.0.40:
     - pdftops: Introduced new "hybrid" renderer: Here usually
       Ghostscript is used, but if the printer is a Brother,
       Minolta, or Konica Minolta Poppler's pdftops gets used. This
       is a quirk rule to work around bugs in the PS interpreters
       of the printers (LP: #1097105, LP: #1053443, LP: #1205898, LP: #238129,
       LP: #1072915, LP: #293832).
     - Fixed format string issues and added __attribute__ wording
       to printf-like functions to catch any regressions. Thanks to
       Tim Waugh from Red Hat for the patch.
     - pdftops: Fix for landscape PDF handling. Do not use the
       command line options "-origpagesizes" and
       "-choosePaperByPDFPageSize" of Poppler's pdftops utility on
       already processed PDF data. Thanks to Tim Waugh from Red Hat
       for the patch.
     - cups-browsed: Improve the efficiency of BrowsePoll by using
       IPP notifications when possible. It falls back to the
       previous behaviour if it is not possible to use this
       optimization. Thanks to Tim Waugh from Red Hat for the patch.
  * pdftops-only-use-origpagesizes-on-unprocessed-PDFs.patch: Removed patch
    backported from upstream.
  * debian/rules: Added ./configure option "--with-pdftops=hybrid" to activate
    the hybrid rendering mode (LP: #1097105, LP: #1053443, LP: #1205898,
    LP: #238129, LP: #1072915, LP: #293832).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 10 Oct 2013 12:04:57 +0200

cups-filters (1.0.38-0ubuntu2) saucy; urgency=low

  * pdftops-only-use-origpagesizes-on-unprocessed-PDFs.patch: Fix for landscape
    PDF handling in Poppler mode. Do not use the command line options
    "-origpagesizes" and "-choosePaperByPDFPageSize" of Poppler's pdftops
    utility on already processed PDF data. Thanks to Tim Waugh from Red Hat for
    the patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 02 Oct 2013 12:49:34 +0200

cups-filters (1.0.38-0ubuntu1) saucy; urgency=low

  * New upstream release 1.0.38:
     - pdftops: Added "-dNOINTERPOLATE" to the Ghostscript command line
       for quicker processing of embedded bitmaps.
     - pstopdf: Added "-dUseCIEColor" to the Ghostscript command line
       to assure compatibility with newer Ghostscript versions (9.08
       and newer).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 03 Sep 2013 17:03:34 +0200

cups-filters (1.0.37-0ubuntu1) saucy; urgency=low

  * New upstream release 1.0.37:
     - Added example configuration files for systemd and Upstart. Thanks
       to Tomáš Chvátal for the systemd file.
     - Build system: Make sure that gstoraster gets linked against the
       libcupsfilters of the currently built package and not of the
       system. Thanks to Tomáš Chvátal.
     - cupsfilters.convs: Reworked the cost factors of the filters to
       avoid bogus filter chains like pstotiff|imagetopdf instead of
       pstopdf|pdftopdf for PostScript->PDF. Thanks to Tim Waugh from
       Red Hat for the report.
     - pdftopdf: Accept additional command line options for PPD-less
       printing.
     - cups-browsed: Fixed building with CUPS 1.5.x and older,
       ippSetVersion() was missing under the accessor function definitions
       for backward compatibility.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Aug 2013 22:21:32 +0200

cups-filters (1.0.36-0ubuntu2) saucy; urgency=low

  * Drop Recommends and Breaks on ghostscript-cups, now that we're
    using the magic Provides/Conflicts/Replaces trio (LP: #1212239)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 14 Aug 2013 12:42:57 -0600

cups-filters (1.0.36-0ubuntu1) saucy; urgency=low

  [ Till Kamppeter ]
  * New upstream release 1.0.36:
     - Fixed libdl detection in configure. Thanks to Andreas Huettel and
       Yuta Satoh (Gentoo bug #478642).
     - cups-browsed: Allow BrowsePoll operation also access print queues
       on older CUPS servers. Thanks to David Mohr for the patch.
     - cups-browsed: Assure that it always applies to the local CUPS
       daemon and never to a remote one specified via client.conf
       (LP: #1207203).
     - pdftoopvp, pdftoijs, pdftoraster, bannertopdf: Made code working
       with Poppler 0.24.x (Upstream bug #1144).
     - gstoraster: Silenced compiler warnings.
     - gstoraster, pdftoraster: Added support for PPD-less printing
       controlled by IPP attributes (CUPS 1.7.x+ only).
     - gstoraster, gstopxl: Moved these filters from Ghostscript to
       cups-filters as upstream home.
     - libcupsfilters: Added new cupsRasterParseIPPOptions() API
       function for PPD-less printing controlled by IPP attributes
       (raster.h, CUPS 1.7.x+ only).
     - pdftopdf: Added support for page labels. "page-label" option and
       "CLASSIFICATION" environment variable. Thanks to Tim Waugh from
       Red Hat for the patch.
     - pdftops: If one or more of the PDF-to-PS renderers (Ghostscript,
       Poppler pdftops, Poppler pdftocairo, acroread) is not installed
       at build time, pre-fill the appropriate executable's path with the
       executable name to allow the use of this renderer when it gets


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Standards-Version: 3.9.3
 Priority: optional
 Section: net
-Maintainer: Debian CUPS Maintainers <pkg-cups-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: 
  Till Kamppeter <till.kamppeter@gmail.com>,
  Martin Pitt <mpitt@debian.org>,
@@ -20,7 +21,7 @@
  liblcms2-dev,
  libpoppler-private-dev (>= 0.16.0),
  libpoppler-cpp-dev,
- libqpdf-dev (>= 3.0.2),
+ libqpdf-dev (>= 4.0.1),
  libjpeg-dev,
  libpng-dev | libpng12-dev,
  libtiff-dev,
@@ -30,13 +31,13 @@
  zlib1g-dev,
  libfontconfig1-dev,
  libavahi-common-dev,
- libavahi-client-dev
+ libavahi-client-dev,
+ libavahi-glib-dev
 Homepage: http://www.openprinting.org/
 Vcs-Bzr: http://bzr.debian.org/pkg-cups/cups-filters/debian-trunk/
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-cups/cups-filters/debian-trunk/
 
 Package: libcupsfilters1
-Priority: optional
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -50,7 +51,6 @@
  color spaces.
 
 Package: libfontembed1
-Priority: optional
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -62,63 +62,75 @@
  used by CUPS filters.
 
 Package: cups-filters
-Priority: optional
-Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, 
  ${misc:Depends},
  bc,
  ghostscript (>= 9.02~),
- ttf-freefont | fonts-liberation | ttf-dejavu
+ fonts-freefont-ttf | fonts-liberation | ttf-dejavu
 Recommends: colord, 
- foomatic-filters (>= 4.0), 
- ghostscript-cups (>= 9.02~)
+ foomatic-filters (>= 4.0) 
 Suggests: foomatic-db-compressed-ppds | foomatic-db
+Conflicts: ghostscript-cups
 Replaces: cups (<< 1.5.0-16), 
  cups-common (<< 1.5.0-16),
- ghostscript-cups (<< 9.02~)
+ ghostscript-cups
 Breaks: cups (<< 1.5.0-16), 
- cups-common (<< 1.5.0-16),
- ghostscript-cups (<< 9.02~)
+ cups-common (<< 1.5.0-16)
+Provides: ghostscript-cups
 Description: OpenPrinting CUPS Filters
  This package provides additional CUPS filters which are not provided
  by the CUPS project itself. This includes filters for a PDF based
  printing workflow.
 
 Package: libcupsfilters-dev
-Priority: optional
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libcupsfilters1 (= ${binary:Version})
 Description: OpenPrinting CUPS Filters - Development files for the library
- Header files to develop applications (CUPS filters, printer drivers) using
- libcupsfilters.
+ This library contains functions commonly used by the CUPS filters
+ in the OpenPrinting CUPS filters package, currently functions to read
+ several different image formats and to convert bitmaps between different
+ color spaces.
+ .
+ This package contains the header files to develop applications (CUPS
+ filters, printer drivers) using libcupsfilters.
 
 Package: libfontembed-dev
-Priority: optional
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libfontembed1 (= ${binary:Version})
 Description: OpenPrinting CUPS Filters - Development files for font embed library
- Header files to develop applications using libfontembed.
+ This library contains functions for font embedding in PDF files, commonly
+ used by CUPS filters.
+ .
+ This package contains the header files to develop applications using
+ libfontembed.
 
 Package: cups-browsed
-Priority: optional
-Section: net
 Architecture: any
 Depends: ${shlibs:Depends}, 
  ${misc:Depends},
- cups
+ avahi-daemon
+Enhances: cups
 Description: OpenPrinting CUPS Filters - cups-browsed
  This package provides cups-browsed, a daemon which browses the Bonjour
  broadcasts of shared remote CUPS printers and makes the printers
  available locally, replacing the CUPS broadcasting/browsing which was
  dropped in CUPS 1.6.x. This way the old behavior of having the remote
  printers available automatically is now re-implemented with Bonjour.
+ .
+ cups-browsed is also useful with a CUPS >= 1.6 client to allow the
+ latter to browse the printer list of CUPS < 1.6 servers (by using the
+ old 'cups' protocol in BrowseRemoteProtocols).
+ .
+ cups-browsed is also useful with a CUPS >= 1.6 server to allow CUPS <
+ 1.6 clients to browse its printer list (by using the old 'cups'
+ protocol in BrowseLocalProtocols).
 
 #Package: cups-filters-dbg
 #Priority: extra

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static --with-browseremoteprotocols=dnssd
+DEB_CONFIGURE_EXTRA_FLAGS := --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --mandir=/usr/share/man --enable-static --with-pdftops=hybrid
 # Do not install /etc/rc?.d/* links, on Ubuntu we use Upstart and on Debian
 # we create the links on our own
 # DEB_CONFIGURE_EXTRA_FLAGS += --with-rcdir=/etc/init.d --with-rclevels=
